<html>
<head>
<title>Ogre::PageContentCollection Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1PageContentCollection.html">PageContentCollection</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-attribs">Static Public Attributes</a> &#124;
<a href="#pro-attribs">Protected Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::PageContentCollection Class Reference<div class="ingroups"><a class="el" href="group__Paging.html">Paging</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::PageContentCollection" --><!-- doxytag: inherits="Ogre::AllocatedObject" -->
<p>Definition of the interface for a collection of <a class="el" href="classOgre_1_1PageContent.html" title="Interface definition for a unit of content within a page.">PageContent</a> instances.  
 <a href="classOgre_1_1PageContentCollection.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgrePageContentCollection_8h_source.html">OgrePageContentCollection.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::PageContentCollection:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1PageContentCollection__inherit__graph.gif" border="0" usemap="#Ogre_1_1PageContentCollection_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1PageContentCollection_inherit__map" id="Ogre_1_1PageContentCollection_inherit__map">
<area shape="rect" id="node5" href="classOgre_1_1SimplePageContentCollection.html" title="Specialisation of PageContentCollection which just provides a simple list of PageContent instances..." alt="" coords="5,160,237,189"/><area shape="rect" id="node2" href="classOgre_1_1AllocatedObject.html" title="Superclass for all objects that wish to use custom memory allocators when their new / delete operator..." alt="" coords="81,5,161,35"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1PageContentCollection-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PageContentCollection.html#a33b5dcc61b54c330888d11f29fb767d9">PageContentCollection</a> (<a class="el" href="classOgre_1_1PageContentCollectionFactory.html">PageContentCollectionFactory</a> *creator)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PageContentCollection.html#a73a29d331cbefb71e1fdb10a8583a868">~PageContentCollection</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1PageManager.html">PageManager</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PageContentCollection.html#aeaeddd28fcc7312b0373680248f8b6c2">getManager</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Page.html">Page</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PageContentCollection.html#ac70a74bb8c37795b289d51ffda4abac5">getParentPage</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1SceneManager.html">SceneManager</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PageContentCollection.html#ab0d7e95ef4b251de34c23c3f720e4ca2">getSceneManager</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PageContentCollection.html#a9f03985a93c828733c5e2f10b9958f1a">getType</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the type of the collection, which will match it's factory.  <a href="#a9f03985a93c828733c5e2f10b9958f1a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PageContentCollection.html#a774c75c12ecd87171424be83226d6c45">_notifyAttached</a> (<a class="el" href="classOgre_1_1Page.html">Page</a> *parent)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Internal method to notify a collection that it is attached.  <a href="#a774c75c12ecd87171424be83226d6c45"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PageContentCollection.html#a4f89ee2539f53428825a054746c1c368">save</a> (<a class="el" href="classOgre_1_1StreamSerialiser.html">StreamSerialiser</a> &amp;stream)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Save the collection to a stream.  <a href="#a4f89ee2539f53428825a054746c1c368"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PageContentCollection.html#a0faed09c71edb7a1a8ef2103ec393095">frameStart</a> (<a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> timeSinceLastFrame)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Called when the frame starts.  <a href="#a0faed09c71edb7a1a8ef2103ec393095"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PageContentCollection.html#ac4ec08ff17fa501859bd22b556b14a3e">frameEnd</a> (<a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> timeElapsed)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Called when the frame ends.  <a href="#ac4ec08ff17fa501859bd22b556b14a3e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PageContentCollection.html#a5e28279e1fc36fe4b215ad475bb7090d">notifyCamera</a> (<a class="el" href="classOgre_1_1Camera.html">Camera</a> *cam)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Notify a section of the current camera.  <a href="#a5e28279e1fc36fe4b215ad475bb7090d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PageContentCollection.html#a1d18c47764d346df056663049e76c958">prepare</a> (<a class="el" href="classOgre_1_1StreamSerialiser.html">StreamSerialiser</a> &amp;ser)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Prepare data - may be called in the background.  <a href="#a1d18c47764d346df056663049e76c958"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PageContentCollection.html#a6b290de51f0655730036f67b59f22413">load</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Load - will be called in main thread.  <a href="#a6b290de51f0655730036f67b59f22413"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PageContentCollection.html#a18d6ed685dbcb41aa58dc030e5f52965">unload</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Unload - will be called in main thread.  <a href="#a18d6ed685dbcb41aa58dc030e5f52965"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PageContentCollection.html#a1cd76ce55e061f071675fc9d7858a4f7">unprepare</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Unprepare data - may be called in the background.  <a href="#a1cd76ce55e061f071675fc9d7858a4f7"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">operator new, with debug line info  <a href="#a421b197ca3a38da17e2eb1531a645fa2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a> (size_t sz, void *ptr)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">placement operator new  <a href="#ab78a921e54419be677839cdf15d1f0b8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">array operator new, with debug line info  <a href="#a4be37baef81876985aa1071ad5acc6dd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a> (void *ptr, void *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td colspan="2"><h2><a name="pub-static-attribs"></a>
Static Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PageContentCollection.html#aa73e82a2444f6105c6e61ef83d18292d">CHUNK_ID</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="namespaceOgre.html#aa8263b218e7d187ad5ef03a73a6ad7fd">uint16</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PageContentCollection.html#a25aebf4e31d562701d2c7640e1056121">CHUNK_VERSION</a></td></tr>
<tr><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1PageContentCollectionFactory.html">PageContentCollectionFactory</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PageContentCollection.html#ae06889d26c130b5cb7f349a8ff85bebd">mCreator</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Page.html">Page</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PageContentCollection.html#ad58d577f86370140bc63bdfb1e934682">mParent</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Definition of the interface for a collection of <a class="el" href="classOgre_1_1PageContent.html" title="Interface definition for a unit of content within a page.">PageContent</a> instances. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>This class acts as a grouping level for <a class="el" href="classOgre_1_1PageContent.html" title="Interface definition for a unit of content within a page.">PageContent</a> instances. Rather than <a class="el" href="classOgre_1_1PageContent.html" title="Interface definition for a unit of content within a page.">PageContent</a> instances being held in a list directly under <a class="el" href="classOgre_1_1Page.html" title="Page class.">Page</a>, which might be the most obvious solution, this intermediate class is here to allow the collection of relevant <a class="el" href="classOgre_1_1PageContent.html" title="Interface definition for a unit of content within a page.">PageContent</a> instances to be modified at runtime if required. For example, potentially you might want to define Page-level LOD in which different collections of <a class="el" href="classOgre_1_1PageContent.html" title="Interface definition for a unit of content within a page.">PageContent</a> are loaded at different times. </dd></dl>

<p>Definition at line <a class="el" href="OgrePageContentCollection_8h_source.html#l00055">55</a> of file <a class="el" href="OgrePageContentCollection_8h_source.html">OgrePageContentCollection.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a33b5dcc61b54c330888d11f29fb767d9"></a><!-- doxytag: member="Ogre::PageContentCollection::PageContentCollection" ref="a33b5dcc61b54c330888d11f29fb767d9" args="(PageContentCollectionFactory *creator)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1PageContentCollection.html#a33b5dcc61b54c330888d11f29fb767d9">Ogre::PageContentCollection::PageContentCollection</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1PageContentCollectionFactory.html">PageContentCollectionFactory</a> *&#160;</td>
          <td class="paramname"><em>creator</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a73a29d331cbefb71e1fdb10a8583a868"></a><!-- doxytag: member="Ogre::PageContentCollection::~PageContentCollection" ref="a73a29d331cbefb71e1fdb10a8583a868" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1PageContentCollection.html#a73a29d331cbefb71e1fdb10a8583a868">Ogre::PageContentCollection::~PageContentCollection</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a774c75c12ecd87171424be83226d6c45"></a><!-- doxytag: member="Ogre::PageContentCollection::_notifyAttached" ref="a774c75c12ecd87171424be83226d6c45" args="(Page *parent)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1PageContentCollection.html#a774c75c12ecd87171424be83226d6c45">Ogre::PageContentCollection::_notifyAttached</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Page.html">Page</a> *&#160;</td>
          <td class="paramname"><em>parent</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Internal method to notify a collection that it is attached. </p>

</div>
</div>
<a class="anchor" id="ac4ec08ff17fa501859bd22b556b14a3e"></a><!-- doxytag: member="Ogre::PageContentCollection::frameEnd" ref="ac4ec08ff17fa501859bd22b556b14a3e" args="(Real timeElapsed)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1PageContentCollection.html#ac4ec08ff17fa501859bd22b556b14a3e">Ogre::PageContentCollection::frameEnd</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>timeElapsed</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Called when the frame ends. </p>

<p>Implemented in <a class="el" href="classOgre_1_1SimplePageContentCollection.html#af8abde8b5410ca7c9b6fb23fea700dc5">Ogre::SimplePageContentCollection</a>.</p>

</div>
</div>
<a class="anchor" id="a0faed09c71edb7a1a8ef2103ec393095"></a><!-- doxytag: member="Ogre::PageContentCollection::frameStart" ref="a0faed09c71edb7a1a8ef2103ec393095" args="(Real timeSinceLastFrame)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1PageContentCollection.html#a0faed09c71edb7a1a8ef2103ec393095">Ogre::PageContentCollection::frameStart</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>timeSinceLastFrame</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Called when the frame starts. </p>

<p>Implemented in <a class="el" href="classOgre_1_1SimplePageContentCollection.html#af009a28d63fdea54a4a495ca94103dbd">Ogre::SimplePageContentCollection</a>.</p>

</div>
</div>
<a class="anchor" id="aeaeddd28fcc7312b0373680248f8b6c2"></a><!-- doxytag: member="Ogre::PageContentCollection::getManager" ref="aeaeddd28fcc7312b0373680248f8b6c2" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1PageManager.html">PageManager</a>* <a class="el" href="classOgre_1_1PageContentCollection.html#aeaeddd28fcc7312b0373680248f8b6c2">Ogre::PageContentCollection::getManager</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ac70a74bb8c37795b289d51ffda4abac5"></a><!-- doxytag: member="Ogre::PageContentCollection::getParentPage" ref="ac70a74bb8c37795b289d51ffda4abac5" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Page.html">Page</a>* <a class="el" href="classOgre_1_1PageContentCollection.html#ac70a74bb8c37795b289d51ffda4abac5">Ogre::PageContentCollection::getParentPage</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePageContentCollection_8h_source.html#l00068">68</a> of file <a class="el" href="OgrePageContentCollection_8h_source.html">OgrePageContentCollection.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab0d7e95ef4b251de34c23c3f720e4ca2"></a><!-- doxytag: member="Ogre::PageContentCollection::getSceneManager" ref="ab0d7e95ef4b251de34c23c3f720e4ca2" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1SceneManager.html">SceneManager</a>* <a class="el" href="classOgre_1_1PageContentCollection.html#ab0d7e95ef4b251de34c23c3f720e4ca2">Ogre::PageContentCollection::getSceneManager</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a9f03985a93c828733c5e2f10b9958f1a"></a><!-- doxytag: member="Ogre::PageContentCollection::getType" ref="a9f03985a93c828733c5e2f10b9958f1a" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; <a class="el" href="classOgre_1_1PageContentCollection.html#a9f03985a93c828733c5e2f10b9958f1a">Ogre::PageContentCollection::getType</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the type of the collection, which will match it's factory. </p>

</div>
</div>
<a class="anchor" id="a6b290de51f0655730036f67b59f22413"></a><!-- doxytag: member="Ogre::PageContentCollection::load" ref="a6b290de51f0655730036f67b59f22413" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1PageContentCollection.html#a6b290de51f0655730036f67b59f22413">Ogre::PageContentCollection::load</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Load - will be called in main thread. </p>

<p>Implemented in <a class="el" href="classOgre_1_1SimplePageContentCollection.html#a990fe2d86d3e7b18f637b0c41de794f2">Ogre::SimplePageContentCollection</a>.</p>

</div>
</div>
<a class="anchor" id="a5e28279e1fc36fe4b215ad475bb7090d"></a><!-- doxytag: member="Ogre::PageContentCollection::notifyCamera" ref="a5e28279e1fc36fe4b215ad475bb7090d" args="(Camera *cam)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1PageContentCollection.html#a5e28279e1fc36fe4b215ad475bb7090d">Ogre::PageContentCollection::notifyCamera</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Camera.html">Camera</a> *&#160;</td>
          <td class="paramname"><em>cam</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Notify a section of the current camera. </p>

<p>Implemented in <a class="el" href="classOgre_1_1SimplePageContentCollection.html#a46e7142f461ad0c2a18d7f2731c27375">Ogre::SimplePageContentCollection</a>.</p>

</div>
</div>
<a class="anchor" id="a8357fe4fb4849772b94baa4bf47c7ded"></a><!-- doxytag: member="Ogre::PageContentCollection::operator delete" ref="a8357fe4fb4849772b94baa4bf47c7ded" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00095">95</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1c727e879a260c37b00ce5505fe8e144"></a><!-- doxytag: member="Ogre::PageContentCollection::operator delete" ref="a1c727e879a260c37b00ce5505fe8e144" args="(void *ptr, void *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00101">101</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="acb46d4b0a597156d9ba5abc39d127792"></a><!-- doxytag: member="Ogre::PageContentCollection::operator delete" ref="acb46d4b0a597156d9ba5abc39d127792" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00107">107</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a93e6a86dde5483c053ca0f2a85bbfd6c"></a><!-- doxytag: member="Ogre::PageContentCollection::operator delete[]" ref="a93e6a86dde5483c053ca0f2a85bbfd6c" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00112">112</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a595ea4c05da8aa987d3800e65d23355d"></a><!-- doxytag: member="Ogre::PageContentCollection::operator delete[]" ref="a595ea4c05da8aa987d3800e65d23355d" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00118">118</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a421b197ca3a38da17e2eb1531a645fa2"></a><!-- doxytag: member="Ogre::PageContentCollection::operator new" ref="a421b197ca3a38da17e2eb1531a645fa2" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00067">67</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac4bdf968b7b9af8a5239a27da73d5711"></a><!-- doxytag: member="Ogre::PageContentCollection::operator new" ref="ac4bdf968b7b9af8a5239a27da73d5711" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00072">72</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab78a921e54419be677839cdf15d1f0b8"></a><!-- doxytag: member="Ogre::PageContentCollection::operator new" ref="ab78a921e54419be677839cdf15d1f0b8" args="(size_t sz, void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>placement operator new </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00078">78</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4be37baef81876985aa1071ad5acc6dd"></a><!-- doxytag: member="Ogre::PageContentCollection::operator new[]" ref="a4be37baef81876985aa1071ad5acc6dd" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>array operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00085">85</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="afa2943846ba6a2b5824a12857139cf5e"></a><!-- doxytag: member="Ogre::PageContentCollection::operator new[]" ref="afa2943846ba6a2b5824a12857139cf5e" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00090">90</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1d18c47764d346df056663049e76c958"></a><!-- doxytag: member="Ogre::PageContentCollection::prepare" ref="a1d18c47764d346df056663049e76c958" args="(StreamSerialiser &amp;ser)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="classOgre_1_1PageContentCollection.html#a1d18c47764d346df056663049e76c958">Ogre::PageContentCollection::prepare</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1StreamSerialiser.html">StreamSerialiser</a> &amp;&#160;</td>
          <td class="paramname"><em>ser</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Prepare data - may be called in the background. </p>

<p>Implemented in <a class="el" href="classOgre_1_1SimplePageContentCollection.html#aec07cbbc6bbb28c3bb8c6e97c79b49eb">Ogre::SimplePageContentCollection</a>.</p>

</div>
</div>
<a class="anchor" id="a4f89ee2539f53428825a054746c1c368"></a><!-- doxytag: member="Ogre::PageContentCollection::save" ref="a4f89ee2539f53428825a054746c1c368" args="(StreamSerialiser &amp;stream)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1PageContentCollection.html#a4f89ee2539f53428825a054746c1c368">Ogre::PageContentCollection::save</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1StreamSerialiser.html">StreamSerialiser</a> &amp;&#160;</td>
          <td class="paramname"><em>stream</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Save the collection to a stream. </p>

<p>Implemented in <a class="el" href="classOgre_1_1SimplePageContentCollection.html#a3b44d9133028051fa8310fdf73087e16">Ogre::SimplePageContentCollection</a>.</p>

</div>
</div>
<a class="anchor" id="a18d6ed685dbcb41aa58dc030e5f52965"></a><!-- doxytag: member="Ogre::PageContentCollection::unload" ref="a18d6ed685dbcb41aa58dc030e5f52965" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1PageContentCollection.html#a18d6ed685dbcb41aa58dc030e5f52965">Ogre::PageContentCollection::unload</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Unload - will be called in main thread. </p>

<p>Implemented in <a class="el" href="classOgre_1_1SimplePageContentCollection.html#a10ee90b66dc24b7df217aa4d599dd112">Ogre::SimplePageContentCollection</a>.</p>

</div>
</div>
<a class="anchor" id="a1cd76ce55e061f071675fc9d7858a4f7"></a><!-- doxytag: member="Ogre::PageContentCollection::unprepare" ref="a1cd76ce55e061f071675fc9d7858a4f7" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1PageContentCollection.html#a1cd76ce55e061f071675fc9d7858a4f7">Ogre::PageContentCollection::unprepare</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Unprepare data - may be called in the background. </p>

<p>Implemented in <a class="el" href="classOgre_1_1SimplePageContentCollection.html#a309e0261c394877563fadfe7dc88a971">Ogre::SimplePageContentCollection</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="aa73e82a2444f6105c6e61ef83d18292d"></a><!-- doxytag: member="Ogre::PageContentCollection::CHUNK_ID" ref="aa73e82a2444f6105c6e61ef83d18292d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a> <a class="el" href="classOgre_1_1PageContentCollection.html#aa73e82a2444f6105c6e61ef83d18292d">Ogre::PageContentCollection::CHUNK_ID</a><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePageContentCollection_8h_source.html#l00061">61</a> of file <a class="el" href="OgrePageContentCollection_8h_source.html">OgrePageContentCollection.h</a>.</p>

</div>
</div>
<a class="anchor" id="a25aebf4e31d562701d2c7640e1056121"></a><!-- doxytag: member="Ogre::PageContentCollection::CHUNK_VERSION" ref="a25aebf4e31d562701d2c7640e1056121" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespaceOgre.html#aa8263b218e7d187ad5ef03a73a6ad7fd">uint16</a> <a class="el" href="classOgre_1_1PageContentCollection.html#a25aebf4e31d562701d2c7640e1056121">Ogre::PageContentCollection::CHUNK_VERSION</a><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePageContentCollection_8h_source.html#l00062">62</a> of file <a class="el" href="OgrePageContentCollection_8h_source.html">OgrePageContentCollection.h</a>.</p>

</div>
</div>
<a class="anchor" id="ae06889d26c130b5cb7f349a8ff85bebd"></a><!-- doxytag: member="Ogre::PageContentCollection::mCreator" ref="ae06889d26c130b5cb7f349a8ff85bebd" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1PageContentCollectionFactory.html">PageContentCollectionFactory</a>* <a class="el" href="classOgre_1_1PageContentCollection.html#ae06889d26c130b5cb7f349a8ff85bebd">Ogre::PageContentCollection::mCreator</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePageContentCollection_8h_source.html#l00058">58</a> of file <a class="el" href="OgrePageContentCollection_8h_source.html">OgrePageContentCollection.h</a>.</p>

</div>
</div>
<a class="anchor" id="ad58d577f86370140bc63bdfb1e934682"></a><!-- doxytag: member="Ogre::PageContentCollection::mParent" ref="ad58d577f86370140bc63bdfb1e934682" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Page.html">Page</a>* <a class="el" href="classOgre_1_1PageContentCollection.html#ad58d577f86370140bc63bdfb1e934682">Ogre::PageContentCollection::mParent</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePageContentCollection_8h_source.html#l00059">59</a> of file <a class="el" href="OgrePageContentCollection_8h_source.html">OgrePageContentCollection.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgrePageContentCollection_8h_source.html">OgrePageContentCollection.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:11
</p>
</body>
</html>
